import { sortType } from '../@interfaces/tree-format.interface';
import * as i0 from "@angular/core";
export declare class EagnaTreeService {
    constructor();
    private buildTree;
    private getChildren;
    private _getAttr;
    getTreeData(data: any, format: any, sort?: sortType, filter?: any, lazyChildren?: any): any;
    formatTitle(format: any, data: any): any;
    getDefaultIcons(): Object;
    static ɵfac: i0.ɵɵFactoryDeclaration<EagnaTreeService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<EagnaTreeService>;
}
